%global _hardened_build 1
%define major           0
%define libname         %mklibname varlink %{major}
%define develname       %mklibname varlink -d


Name:           libvarlink
Version:        19
Release:        %mkrel 2
Summary:        Varlink C Library
License:        ASL 2.0
URL:            https://github.com/varlink/%{name}
Source0:        https://github.com/varlink/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Patch:          meson-ctags.patch
BuildRequires:  meson
BuildRequires:  gcc
Group:          Networking/Other

%description
Varlink C Library

%package        -n %{libname}
Summary:        Development files for %{name}
Provides:       %{name} = %{version}-%{release}

%description    -n %{libname}
Varlink C Library

%package        -n %{develname}
Summary:        Development files for %{name}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description    -n %{develname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        util
Summary:        Varlink command line tools

%description    util
The %{name}-util package contains varlink command line tools.

%prep
%autosetup -p1

%build
%meson
%meson_build

%check
export LC_CTYPE=C.utf8
%meson_test

%install
%meson_install

%files -n %{libname}
%license LICENSE
%{_libdir}/libvarlink.so.*

%files util
%{_bindir}/varlink
%{_datadir}/bash-completion/completions/varlink
%{_datadir}/vim/vimfiles/after/*

%files -n %{develname}
%{_includedir}/varlink.h
%{_libdir}/libvarlink.so
%{_libdir}/pkgconfig/libvarlink.pc


%changelog
* Sun May 10 2020 joequant <joequant> 19-2.mga8
+ Revision: 1582808
- fix deps
- fix deps
- add description
- imported package libvarlink

